PHP Selector - CloudLinux Blog
Tags
Beta: Alt-PHP updated

Beta: Alt-PHP updated

Beta: Alt-PHP updated
New Alt-PHP packages with MariaDB101 support are available from our updates-testing repository. Changelog: alt-php44-mariadb101-4.4.9-1 alt-php51-mariadb101-5.1.6-1 alt-php52-mariadb101-5.2.17-1 alt-php53-mariadb101-5.3.29-1 alt-php54-mariadb101-5.4.45-1 alt-php55-mariadb101-5.5.32-1 alt-php56-mariadb101-5.6.18-1 alt-php70-mariadb101-7.0.3-1 initia...
Continue reading
  2308 Hits
  0 Comments
HardenedPHP updated
Tags:

HardenedPHP updated

HardenedPHP updated
New updated HardenedPHP packages are available from our production repository. Changelog: alt-php55-5.3.29-41 security bug  73356 : crash in bzcompress function; CVE-2016-8670 : Stack Buffer Overflow in GD dynamicGetbuf; security bug  72482 : Illegal write/read access caused by gdImageAALine overflow; security bug  72696 : imagefillt...
Continue reading
  1119 Hits
  0 Comments
Alt-PHP updated

Alt-PHP updated

Alt-PHP updated
New updated Alt-PHP packages are available from our stable repository. alt-php70-7.0.3-0.1 updated to PHP 7.0.3 (check for details here ). alt-php56-5.6.18-0.1 updated to PHP 5.6.18 (check for details here ). alt-php55-5.5.32-0.1 updated to PHP 5.5.32, (check for details here ). To update run the command:  yum groupinstall alt-php Note for bet...
Continue reading
  2776 Hits
  0 Comments
Beta: Alt-PHP updated

Beta: Alt-PHP updated

Beta: Alt-PHP updated
New updated Alt-PHP packages are available from our updates-testing repository. Changelog: alt-php53-clamav-0.15.8-2 alt-php54-clamav-0.15.8-2 alt-php55-clamav-0.15.8-2 rebuilt with ClamAV 0.99. To update run the command:  yum groupinstall alt-php --enablerepo=cloudlinux-updates-testing
  2290 Hits
  0 Comments
The KernelCare Update: The patch to fix CVE-2016-8655 exploit is here!

The KernelCare Update: The patch to fix CVE-2016-8655 exploit is here!

The KernelCare Update: The patch to fix CVE-2016-8655 exploit is here!
A new vulnerability CVE-2016-8655 in the Linux kernel was discovered yesterday by Philip Pettersson. It is a race-condition in Linux (net/packet/af_packet.c) that can be exploited to gain kernel code execution from unprivileged processes. This exploit may lead to a privilege escalation, cause a denial of service attacks (server crash) and informati...
Continue reading
  1096 Hits
  0 Comments
Six vulnerabilities for PHP 5.4 found, more to come - and HardenedPHP will protect from them all

Six vulnerabilities for PHP 5.4 found, more to come - and HardenedPHP will protect from them all

Six vulnerabilities for PHP 5.4 found, more to come - and HardenedPHP will protect from them all
PHP 5.4 had a good run. Today’s still one of the most popular versions was first released in March 2012, but as of September 2015 PHP.net community is no longer providing security fixes for it. Of course, most sites can just upgrade to a more recent version, but not all. There are some backward  incompatible changes  that will require sit...
Continue reading
Recent Comments
WisiKlo WisiKlo
We are working hard to make HardenedPHP available with EA4 MultiPHP. It should be ready by the end of this month. We will not aban... Read More
Saturday, 06 February 2016 22:53
  6738 Hits
  3 Comments
Beta: Alt-PHP updated

Beta: Alt-PHP updated

Beta: Alt-PHP updated
New updated Alt-PHP packages are available from our updates-testing repository. Changelog: alt-php51-pecl-ext-1-23 timezonedb updated from 2016.6 to 2016.8. alt-php52-pecl-ext-1-93 yaz updated from 1.1.9 to 1.2.1; timezonedb updated from 2016.6 to 2016.8. alt-php53-pecl-ext-1-114 yaml updated from 1.2.0 to 1.3.0; yaz updated from 1.1.9 to 1.2.1; pd...
Continue reading
  1323 Hits
  0 Comments
Alt-PHP updated

Alt-PHP updated

Alt-PHP updated
New updated Alt-PHP packages are available from our production repository. Changelog: alt-php70-pecl-ext-1-7 added gmagicck extension; updated xdebug to 2.4.0RC3; updated imagick to 3.4.0RC4; APCu updated from 5.1.0 to 5.1.2; eio 2.0.0RC1 extension added; oci8 2.1.0 extension added; pecl_http 3.0.0RC1 extension added; propro 2.0.0RC1 extension adde...
Continue reading
  2896 Hits
  0 Comments
Tags:

Different PHP versions per directories using PHP Selector

We had few requests to support different PHP versions per directory. While this is not available using PHP Selector UI, it is fairly simple to do manually. The important requirement is that PHP must be set to be running in SuPHP mode. We are soon to release our own PHP module for Apache - that would also support such mode of operation. Tested with ...
Continue reading
  11597 Hits
  5 Comments

Beta: PHP Selector 5.1 added, 5.5 updated

We have added PHP 5.1 to the choice of PHP versions available with PHP selector. Changelog: PHP 5.1 added PHP 5.5 update fixed not to remove php55 entry from PHP Selector config file Added sourceguardian extension for PHP 4.4 Updated sourceguardian extension to 9.5 Updated ioncube-loader extension to 4.4.3 To update: $ yum groupupdate alt-php --ena...
Continue reading
  1807 Hits
  0 Comments